#include "CoreRiftWidget.h"

class UCoreButtonWidget;
class UUITweenInstance;

void UCoreRiftWidget::OnSettingsButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnRiftPackButtonClicked()
{

}

void UCoreRiftWidget::OnRewardItemClicked(int32 tier, UCoreButtonWidget* button, bool isPremium, int32 index)
{

}

void UCoreRiftWidget::OnRewardAnimationCompleted()
{

}

void UCoreRiftWidget::OnPreviousButtonClicked()
{

}

void UCoreRiftWidget::OnPlaySecondMoriButtonUnhovered(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnPlaySecondMoriButtonHovered(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnPlaySecondMoriButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnPlayMoriButtonUnhovered(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnPlayMoriButtonHovered(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnPlayMoriButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnOutfitButtonUnhovered(UCoreButtonWidget* button)
{

}

void UCoreRiftWidget::OnOutfitButtonHovered(UCoreButtonWidget* button)
{

}

void UCoreRiftWidget::OnOutfitButtonClicked(UCoreButtonWidget* button)
{

}

void UCoreRiftWidget::OnNextButtonClicked()
{

}

void UCoreRiftWidget::OnInfoButtonClicked(UCoreButtonWidget* buttonTarget)
{

}

void UCoreRiftWidget::OnGoToQuestsButtonClicked()
{

}

void UCoreRiftWidget::OnCurrentPageAnimationCompleted()
{

}

void UCoreRiftWidget::OnBackButtonClicked()
{

}

void UCoreRiftWidget::DisplayPage(UUITweenInstance* tween)
{

}

UCoreRiftWidget::UCoreRiftWidget()
{
	this->_currentPage = 0;
	this->_maxTierItemsPerPage = 8;
	this->_animationItemDelay = 0.200000;
	this->_animationPremiumTrackDelay = 0.800000;
	this->_pageSwitchFadeDuration = 0.150000;
	this->_pageSwitchFadeTweenEasing = EEasingType::SineOut;
	this->_archiveRiftTierItemClass = NULL;
	this->_freePurchaseButtonText = FText::GetEmpty();
	this->_freePurchaseDescriptionText = FText::GetEmpty();
	this->_premiumPurchaseButtonText = FText::GetEmpty();
	this->_premiumPurchaseDescriptionText = FText::GetEmpty();
	this->_premiumInfinitePurchaseButtonText = FText::GetEmpty();
	this->_premiumInfinitePurchaseDescriptionText = FText::GetEmpty();
	this->_currentProgressInfoText = FText::GetEmpty();
	this->_playSecondaryMoriTooltipText = FText::GetEmpty();
}
